Subject: Re: [PATCH 0/3] Remove is_bare_repository_cfg global state

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Nov 2024 17:08:32 +0900

"John Cai via GitGitGadget" <[email-masked]> writes:

> This patch series removes the global state introduced by the
> is_bare_repository_cfg variable by moving it into the repository struct.
> Most of the refactor is done by patch 1. Patch 2 initializes the member in
> places that left it unInitialized, while patch 3 adds a safety measure by
> BUG()ing when the variable has not been properly initialized.

I think these patches go in the right direction in general, but the
topic hasn't seen much activity for a few weeks since they received
review messages.  Is a new revision being worked on, or is the topic
being backburnered?

Thanks.